/**
 * @file 移动端 Row,Col二次封装
 */
import React, { Component } from 'react';
import { Row, Col } from 'antd';
export default class MobileItem extends Component {
  render() {
    const { labelCol, wrapperCol, label,paddingTop } = this.props;
    const x = this.props.children.type=="span"
    return (
      <Row    style={{
        minHeight:35,
        fontSize:14
      }}>
        <Col
          style={{
            paddingTop:5,
            minHeight: 35,
            textAlign:"right"
          }}
          span={labelCol.span ? labelCol.span : labelCol}
        >
          {label}：
        </Col>
        <Col
          span={wrapperCol.span ? wrapperCol.span : wrapperCol}
          style={{
            paddingTop:x?5:0,
            minHeight: 35,
          }}
        >
          {this.props.children}
        </Col>
      </Row>
    );
  }
}
